<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:31 CEST 2019 -->
<title>ComposedRefinementsItemProvider</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ComposedRefinementsItemProvider";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComposedRefinementsItemProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../refinement/model/refinements/provider/RefinementItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/ComposedRefinementsItemProvider.html" target="_top">Frames</a></li>
<li><a href="ComposedRefinementsItemProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.edit.provider.ItemProviderAdapter">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.provider</div>
<h2 title="Class ComposedRefinementsItemProvider" class="title">Class ComposedRefinementsItemProvider</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.AdapterImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.edit.provider.ItemProviderAdapter</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.provider.ComposedRefinementsItemProvider</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ComposedRefinementsItemProvider</span>
extends org.eclipse.emf.edit.provider.ItemProviderAdapter
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource</pre>
<div class="block">This is the item provider adapter for a <a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a> object.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.edit.provider.ItemProviderAdapter">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.edit.provider.ItemProviderAdapter</h3>
<code>org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.Adapter">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.common.notify.Adapter</h3>
<code>org.eclipse.emf.common.notify.Adapter.Internal</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html#ComposedRefinementsItemProvider-org.eclipse.emf.common.notify.AdapterFactory-">ComposedRefinementsItemProvider</a></span>(org.eclipse.emf.common.notify.AdapterFactory&nbsp;adapterFactory)</code>
<div class="block">This constructs an instance from a factory and a notifier.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html#getImage-java.lang.Object-">getImage</a></span>(java.lang.Object&nbsp;object)</code>
<div class="block">This returns ComposedRefinements.gif.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;org.eclipse.emf.edit.provider.IItemPropertyDescriptor&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html#getPropertyDescriptors-java.lang.Object-">getPropertyDescriptors</a></span>(java.lang.Object&nbsp;object)</code>
<div class="block">This returns the property descriptors for the adapted class.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.ResourceLocator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html#getResourceLocator--">getResourceLocator</a></span>()</code>
<div class="block">Return the resource locator for this item provider's resources.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html#getText-java.lang.Object-">getText</a></span>(java.lang.Object&nbsp;object)</code>
<div class="block">This returns the label text for the adapted class.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html#notifyChanged-org.eclipse.emf.common.notify.Notification-">notifyChanged</a></span>(org.eclipse.emf.common.notify.Notification&nbsp;notification)</code>
<div class="block">This handles model notifications by calling <code>ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)</code> to update any cached
 children and by creating a viewer notification, which it passes to <code>ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.edit.provider.ItemProviderAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.edit.provider.ItemProviderAdapter</h3>
<code>addListener, createCommand, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildren, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getString, getString, getString, getString, getStyledText, getUpdateableText, hasChildren, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.AdapterImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.AdapterImpl</h3>
<code>getTarget</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.edit.provider.IEditingDomainItemProvider">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.edit.provider.IEditingDomainItemProvider</h3>
<code>createCommand, getChildren, getNewChildDescriptors, getParent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.edit.provider.ITreeItemContentProvider">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.edit.provider.ITreeItemContentProvider</h3>
<code>getChildren, getParent, hasChildren</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.edit.provider.IStructuredItemContentProvider">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.edit.provider.IStructuredItemContentProvider</h3>
<code>getElements</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.edit.provider.IItemPropertySource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.edit.provider.IItemPropertySource</h3>
<code>getEditableValue, getPropertyDescriptor</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ComposedRefinementsItemProvider-org.eclipse.emf.common.notify.AdapterFactory-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ComposedRefinementsItemProvider</h4>
<pre>public&nbsp;ComposedRefinementsItemProvider(org.eclipse.emf.common.notify.AdapterFactory&nbsp;adapterFactory)</pre>
<div class="block">This constructs an instance from a factory and a notifier.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPropertyDescriptors-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertyDescriptors</h4>
<pre>public&nbsp;java.util.List&lt;org.eclipse.emf.edit.provider.IItemPropertyDescriptor&gt;&nbsp;getPropertyDescriptors(java.lang.Object&nbsp;object)</pre>
<div class="block">This returns the property descriptors for the adapted class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getPropertyDescriptors</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IItemPropertySource</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getPropertyDescriptors</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.provider.ItemProviderAdapter</code></dd>
</dl>
</li>
</ul>
<a name="getImage-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImage</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getImage(java.lang.Object&nbsp;object)</pre>
<div class="block">This returns ComposedRefinements.gif.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getImage</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IItemLabelProvider</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getImage</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.provider.ItemProviderAdapter</code></dd>
</dl>
</li>
</ul>
<a name="getText-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getText</h4>
<pre>public&nbsp;java.lang.String&nbsp;getText(java.lang.Object&nbsp;object)</pre>
<div class="block">This returns the label text for the adapted class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getText</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IItemLabelProvider</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getText</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.provider.ItemProviderAdapter</code></dd>
</dl>
</li>
</ul>
<a name="notifyChanged-org.eclipse.emf.common.notify.Notification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifyChanged</h4>
<pre>public&nbsp;void&nbsp;notifyChanged(org.eclipse.emf.common.notify.Notification&nbsp;notification)</pre>
<div class="block">This handles model notifications by calling <code>ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)</code> to update any cached
 children and by creating a viewer notification, which it passes to <code>ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)</code>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>notifyChanged</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.notify.Adapter</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>notifyChanged</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterImpl</code></dd>
</dl>
</li>
</ul>
<a name="getResourceLocator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getResourceLocator</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.ResourceLocator&nbsp;getResourceLocator()</pre>
<div class="block">Return the resource locator for this item provider's resources.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getResourceLocator</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.provider.ItemProviderAdapter</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComposedRefinementsItemProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../refinement/model/refinements/provider/RefinementItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/ComposedRefinementsItemProvider.html" target="_top">Frames</a></li>
<li><a href="ComposedRefinementsItemProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.edit.provider.ItemProviderAdapter">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
